var NAVTREE =
[
  [ "CsCrypto", "index.html", [
    [ "Fundamentals", "lib-fundamentals.html", [
      [ "What is CsCrypto", "basic_what.html", null ],
      [ "Why was CsCrypto Created", "basic_why.html", null ],
      [ "Supported Drivers", "basic_support.html", null ],
      [ "Terminology", "basic_terms.html", null ]
    ] ],
    [ "API and Library Design", "lib-api.html", null ],
    [ "Using CsCrypto", "lib-usage.html", null ],
    [ "License", "main-license.html", null ],
    [ "How to Contribute", "main-contribute.html", null ],
    [ "Timeline", "timeline.html", null ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", [
        [ "block_cipher", null, [
          [ "aes128", "structblock__cipher_1_1aes128.html", null ],
          [ "aes192", "structblock__cipher_1_1aes192.html", null ],
          [ "aes256", "structblock__cipher_1_1aes256.html", null ],
          [ "aes_base", "structblock__cipher_1_1aes__base.html", null ]
        ] ],
        [ "cipher", null, [
          [ "cipher_append_internal", "structcipher_1_1cipher__append__internal.html", [
            [ "operator ()", "structcipher_1_1cipher__append__internal.html#a316dc0bc99d1a6c2e83e5296cc7cb4d5", null ]
          ] ],
          [ "encrypt_operation", "structcipher_1_1encrypt__operation.html", [
            [ "iv_type", "structcipher_1_1encrypt__operation.html#a883fb915f055108cc790596a0fa00e2b", null ],
            [ "key_type", "structcipher_1_1encrypt__operation.html#ab183ed30cefea54531ae12308dab7503", null ],
            [ "result_type", "structcipher_1_1encrypt__operation.html#aa3307c0128d71276b8cb5dd80d4fa03a", null ],
            [ "operator ()", "structcipher_1_1encrypt__operation.html#a2711b0cde88a396f6e92df724c1e4c69", null ]
          ] ],
          [ "finalize_dispatch_internal", "structcipher_1_1finalize__dispatch__internal.html", [
            [ "operator ()", "structcipher_1_1finalize__dispatch__internal.html#ab4722767d1863607f5ab627d3123bb47", null ]
          ] ],
          [ "init_vector", "classcipher_1_1init__vector.html", [
            [ "init_vector", "classcipher_1_1init__vector.html#a610700ac0644fa6bca85d8b769bd8470", null ],
            [ "~init_vector", "classcipher_1_1init__vector.html#acbfb3a753799ad5a80d9611313d7b184", null ],
            [ "init_vector", "classcipher_1_1init__vector.html#a2b7ba7d676f4628fdce5c63463e19512", null ],
            [ "init_vector", "classcipher_1_1init__vector.html#a9f6158943d51ba42b3d658722a7c7f61", null ],
            [ "init_vector", "classcipher_1_1init__vector.html#a33d8b40154ba347abd2cf7d81f69539e", null ],
            [ "data", "classcipher_1_1init__vector.html#a8bf00f46b334ed417bf030557bb6023a", null ],
            [ "operator=", "classcipher_1_1init__vector.html#a6a5abdc738171fce6ba39126101708c3", null ],
            [ "operator=", "classcipher_1_1init__vector.html#a9de0a0adab4753cd1458bba911c72508", null ],
            [ "size", "classcipher_1_1init__vector.html#a6aad524197fa259778dff566871b458a", null ],
            [ "m_data", "classcipher_1_1init__vector.html#a3c401a2483a350490c62830ca7bbef72", null ]
          ] ],
          [ "secret_key", "classcipher_1_1secret__key.html", [
            [ "secret_key", "classcipher_1_1secret__key.html#a5562df2174dc70cf1ef43c882253a7df", null ],
            [ "~secret_key", "classcipher_1_1secret__key.html#ab02ee3ccad50856e4d58a70cf1ab072c", null ],
            [ "secret_key", "classcipher_1_1secret__key.html#a5597c14921de0332932864c6f4485323", null ],
            [ "secret_key", "classcipher_1_1secret__key.html#a56ccf6c0bcf8babb545e7909c06cf288", null ],
            [ "secret_key", "classcipher_1_1secret__key.html#afd89301cc41422e052429ed430e6ae37", null ],
            [ "data", "classcipher_1_1secret__key.html#a8f10355482e9f3718ec10b87f562e41d", null ],
            [ "operator=", "classcipher_1_1secret__key.html#a39bb11ba4763104ca06ad8610c57bad0", null ],
            [ "operator=", "classcipher_1_1secret__key.html#a74c7d5ca99cd81f4168f4c46943d5dac", null ],
            [ "size", "classcipher_1_1secret__key.html#ac6e411385e0f017503137a1a3f426dd6", null ],
            [ "m_key_data", "classcipher_1_1secret__key.html#a54b66e9d07013253e84450b66500c4f1", null ]
          ] ],
          [ "update_dispatch_internal", "structcipher_1_1update__dispatch__internal.html", [
            [ "operator ()", "structcipher_1_1update__dispatch__internal.html#a1fa44d5a48b2a46ff8afc24fa493b33c", null ]
          ] ]
        ] ],
        [ "drivers", null, [
          [ "basic_cipher_mode", "structdrivers_1_1basic__cipher__mode.html", [
            [ "CBC", "structdrivers_1_1basic__cipher__mode.html#af31d5dc1477f4461dd5b20de1c823cf8", null ],
            [ "CFB", "structdrivers_1_1basic__cipher__mode.html#aa5030b68ec34f25b799a35edc7fa36f1", null ],
            [ "CTR", "structdrivers_1_1basic__cipher__mode.html#a6e7506812b2c9c18b1d7d95af645a26f", null ],
            [ "ECB", "structdrivers_1_1basic__cipher__mode.html#ad3b53d3b24329f4ec80426bf694eb36c", null ],
            [ "OCB", "structdrivers_1_1basic__cipher__mode.html#a07cdc278a444c7ed8e4faf203df85751", null ],
            [ "OFB", "structdrivers_1_1basic__cipher__mode.html#abc717c1100e09a0a8bc04c5959d4f18e", null ]
          ] ],
          [ "basic_hash", "structdrivers_1_1basic__hash.html", [
            [ "md4", "structdrivers_1_1basic__hash.html#a644d6a8d1d379196142fce9d7eafeec7", null ],
            [ "md5", "structdrivers_1_1basic__hash.html#a210cd63b8b5ff780e61b2381bd55ee24", null ],
            [ "sha1", "structdrivers_1_1basic__hash.html#af9955f1386ca791adbba68f390304122", null ],
            [ "sha2_224", "structdrivers_1_1basic__hash.html#a2f50a9563f331027d226da729b037c5b", null ],
            [ "sha2_256", "structdrivers_1_1basic__hash.html#a4ec3d2506dc8282113eba3ce12c5b8fc", null ],
            [ "sha2_384", "structdrivers_1_1basic__hash.html#a630ef3aacf23557df52cd16b78921a27", null ],
            [ "sha2_512", "structdrivers_1_1basic__hash.html#a45aaeda5063ebc041365a34ac925527d", null ],
            [ "sha3_224", "structdrivers_1_1basic__hash.html#aabcb8610b2eaf8ca2b7999fb3b951e60", null ],
            [ "sha3_256", "structdrivers_1_1basic__hash.html#ae6dee4353e948592ac3b849318ccc040", null ],
            [ "sha3_384", "structdrivers_1_1basic__hash.html#a61ffc46a65f051ca5b703345a37ebcf4", null ],
            [ "sha3_512", "structdrivers_1_1basic__hash.html#ad95166337c2ff4a2a81f6561321c317b", null ]
          ] ]
        ] ],
        [ "hash", null, [
          [ "finalize_dispatch_fn", "structhash_1_1finalize__dispatch__fn.html", [
            [ "operator ()", "structhash_1_1finalize__dispatch__fn.html#a413379d61fa707bbd165297b834d021b", null ]
          ] ],
          [ "hash_append_internal", "structhash_1_1hash__append__internal.html", [
            [ "operator ()", "structhash_1_1hash__append__internal.html#a4ba1ef176dd7ee5e43d26ba95bb1e625", null ]
          ] ],
          [ "hash_digest_internal", "structhash_1_1hash__digest__internal.html", [
            [ "result_type", "structhash_1_1hash__digest__internal.html#a462b09ea3b2df3dd52f6efdb205acca2", null ],
            [ "operator ()", "structhash_1_1hash__digest__internal.html#a67d49108faf7208416a47f03e2859561", null ]
          ] ],
          [ "update_dispatch_fn", "structhash_1_1update__dispatch__fn.html", [
            [ "operator ()", "structhash_1_1update__dispatch__fn.html#a3ea8471789fccf85a790ba5ad09a3962", null ]
          ] ]
        ] ],
        [ "mode", null, [
          [ "CBC", "structmode_1_1_cbc.html", null ]
        ] ],
        [ "traits", null, [
          [ "always_false", "structtraits_1_1always__false.html", null ],
          [ "detector", "structtraits_1_1detector.html", [
            [ "type", "structtraits_1_1detector.html#a5a22f73735d9682b60f08fef71bc45fb", null ],
            [ "type", "structtraits_1_1detector.html#aaebf5fc898d084c88ae416849c5b6518", null ],
            [ "value_t", "structtraits_1_1detector.html#a651b08898abeb7a51311b2607567367f", null ],
            [ "value_t", "structtraits_1_1detector.html#a2a8a0f1ce244a4ca37589c19c01299bf", null ]
          ] ],
          [ "driver_for", "structtraits_1_1driver__for.html", [
            [ "hash", "structtraits_1_1driver__for.html#a461c03bb8a284fd84a548d51f7e393dc", null ],
            [ "hash", "structtraits_1_1driver__for.html#ae23a5f8240c9dba9cf446b66f93859a1", null ],
            [ "symmetric_encryption", "structtraits_1_1driver__for.html#a7cdac9c25dc9b04d9473b8254e638f98", null ],
            [ "symmetric_encryption", "structtraits_1_1driver__for.html#aa438005778a2730469d7e4fdb76c670a", null ]
          ] ],
          [ "enum_to_type", "structtraits_1_1enum__to__type.html", null ],
          [ "have_driver", "structtraits_1_1have__driver.html", null ],
          [ "identity", "structtraits_1_1identity.html", [
            [ "type", "structtraits_1_1identity.html#a34ed8afe05aa31891731b0725ec7f6ea", null ]
          ] ],
          [ "is_iterable", "structtraits_1_1is__iterable.html", null ],
          [ "iv_size", "structtraits_1_1iv__size.html", [
            [ "size_type", "structtraits_1_1iv__size.html#a7b61dbe0cc147693cf18234eb2bf61db", null ]
          ] ],
          [ "key_size", "structtraits_1_1key__size.html", [
            [ "size_type", "structtraits_1_1key__size.html#a8149b83489f2b3d46c2b9c844155cf53", null ]
          ] ],
          [ "nonesuch", "structtraits_1_1nonesuch.html", [
            [ "nonesuch", "structtraits_1_1nonesuch.html#a19dc0aa4635efe2c28f13c85f26057ca", null ],
            [ "nonesuch", "structtraits_1_1nonesuch.html#a2252f567fe7099c8552b4a3ab460c742", null ],
            [ "nonesuch", "structtraits_1_1nonesuch.html#ae8e6bea93831e18caf9bc16185a8cb76", null ],
            [ "~nonesuch", "structtraits_1_1nonesuch.html#a17c98b1023b5be00df21eb74ea2ccc3a", null ],
            [ "operator=", "structtraits_1_1nonesuch.html#a28869029600f102337cb7faefe06a66a", null ],
            [ "operator=", "structtraits_1_1nonesuch.html#ab3bd1f2274cbbc92d3453d9f9f8c3ffa", null ]
          ] ],
          [ "remove_optional", "structtraits_1_1remove__optional.html", [
            [ "type", "structtraits_1_1remove__optional.html#a4d1d0659205e94a84ff3ca1d32fd8cb3", null ]
          ] ]
        ] ],
        [ "util", null, [
          [ "error", "classutil_1_1error.html", [
            [ "error", "classutil_1_1error.html#a71ab8cc8a7ca25626aa11c9b003b6d08", null ],
            [ "error", "classutil_1_1error.html#a5376bcfdb6c623c9c870de3980641c63", null ],
            [ "error", "classutil_1_1error.html#a2e01878234995be060fbb8206315c4dd", null ],
            [ "~error", "classutil_1_1error.html#a33016a91c2046ca61d0e515632c48698", null ],
            [ "error", "classutil_1_1error.html#a4419f016048bc64298514771c5b3cc7a", null ],
            [ "error", "classutil_1_1error.html#a7fa369b53a3d493a235d163e3386169a", null ],
            [ "operator=", "classutil_1_1error.html#a0941b72600d9a17fcf6fd0d041a3cdfc", null ],
            [ "operator=", "classutil_1_1error.html#a0141c8609a6a1b2cb25cc87082714516", null ],
            [ "value", "classutil_1_1error.html#a464c2cac89e81124495d1a1aa01c263e", null ],
            [ "value", "classutil_1_1error.html#ad6c272b1978a2947c1b19f4d2849571b", null ],
            [ "value", "classutil_1_1error.html#a2145a97ad2c41196e82f2cfaa4b38f0e", null ],
            [ "m_error", "classutil_1_1error.html#ac83374962fc17cb07b8102635efd8ee4", null ]
          ] ],
          [ "hex_byte", "structutil_1_1hex__byte.html", [
            [ "high", "structutil_1_1hex__byte.html#a02bfdf0fb51d8de60371050cea86a9c6", null ],
            [ "low", "structutil_1_1hex__byte.html#a4c3578da0db90df6948981087fb15205", null ]
          ] ],
          [ "result", "classutil_1_1result.html", [
            [ "error_t", "classutil_1_1result.html#ab44354cea0351c1d570d97b6d4208268", null ],
            [ "result", "classutil_1_1result.html#a700b7f687aa922e4eecb84b491e5ec6f", null ],
            [ "result", "classutil_1_1result.html#a746ae01a61093a9c9c8938e6fe5ad1e4", null ],
            [ "~result", "classutil_1_1result.html#a5f6f40b7fc1dd2fb86cc35ad2fd4216c", null ],
            [ "result", "classutil_1_1result.html#a1d6d44c1a2157718c72568b41fcf08ad", null ],
            [ "result", "classutil_1_1result.html#a711616e8634ef6a2a0617aa25deb1ffe", null ],
            [ "err", "classutil_1_1result.html#ae6953987423feb137ff79a57a354a659", null ],
            [ "err", "classutil_1_1result.html#a4f627a646d4a346b5c0cf90ab1211dc5", null ],
            [ "err", "classutil_1_1result.html#a0a517c80ce2c422d00cfd7e55dd9bfee", null ],
            [ "is_error", "classutil_1_1result.html#aa5b6368a92dda53e3d4cf0c81d8ad25c", null ],
            [ "is_ok", "classutil_1_1result.html#a55b31f240ca7b617c8b5c3246786be0a", null ],
            [ "operator=", "classutil_1_1result.html#a9f23c96b392a3cd3e965e174186970b5", null ],
            [ "operator=", "classutil_1_1result.html#adad2f9552bdddc30545f41b51ddd68c6", null ],
            [ "value", "classutil_1_1result.html#a567012b88865335f7964c58825ae2115", null ],
            [ "value", "classutil_1_1result.html#a11db6853b197e3c0ba4667d040888450", null ],
            [ "value", "classutil_1_1result.html#a6ac3da691ffb5eccfd73fb06c3658245", null ],
            [ "m_content", "classutil_1_1result.html#aabdf032cfd1b448f233253210a9a9aba", null ]
          ] ],
          [ "span", "classutil_1_1span.html", [
            [ "const_iterator", "classutil_1_1span.html#ada10c6563271d2dabfca9ade78dc7a70", null ],
            [ "const_pointer", "classutil_1_1span.html#afb31fb09625bf9df47c487a8f3bc418f", null ],
            [ "const_reference", "classutil_1_1span.html#a27705260744901a1b69c427eb98dc6ea", null ],
            [ "difference_type", "classutil_1_1span.html#a0343897d41400608c1c1d23a18033f41", null ],
            [ "element_type", "classutil_1_1span.html#a696f94e3fa247aa0c7917af792b75149", null ],
            [ "iterator", "classutil_1_1span.html#a08fa5c35968af8c044a01a6a4238fa8d", null ],
            [ "pointer", "classutil_1_1span.html#ab1fa5832810b3ac926e4a91756f2d954", null ],
            [ "reference", "classutil_1_1span.html#a03065a67ae2d82f4242187684db0ceb9", null ],
            [ "size_type", "classutil_1_1span.html#a8e04fffa7166e6f8748779cd1750e78e", null ],
            [ "value_type", "classutil_1_1span.html#a77831ca1380e9435b9f70868d062fff7", null ],
            [ "span", "classutil_1_1span.html#a2a91e402ee777b6f7d9b226cf55f0520", null ],
            [ "span", "classutil_1_1span.html#a33d21e226d06afa2ec26b77a4a0b8d30", null ],
            [ "span", "classutil_1_1span.html#ad9ee95a6ae8b171b1edacb1db9a44419", null ],
            [ "span", "classutil_1_1span.html#aa2422cbe020a84412e1e2982818da2c4", null ],
            [ "span", "classutil_1_1span.html#a7feee2cf1a7ff4fbc597431be6aad334", null ],
            [ "span", "classutil_1_1span.html#a7223923a87ac2a049e8ef2d013059a83", null ],
            [ "span", "classutil_1_1span.html#ac5c92d40fea460a50df8df874f0af6a5", null ],
            [ "begin", "classutil_1_1span.html#a2d8042c03774c51c5c585c9041f163eb", null ],
            [ "data", "classutil_1_1span.html#a11501ad178cbbcc5f9034da0372a4e30", null ],
            [ "empty", "classutil_1_1span.html#a7984fd49db182c2e51d36877db876e52", null ],
            [ "end", "classutil_1_1span.html#ac78d7c8c5c5296698b9aee74867792d5", null ],
            [ "operator=", "classutil_1_1span.html#acc0386cd380518511e954a53a2cb7124", null ],
            [ "operator=", "classutil_1_1span.html#a265c3c784da322296714532141316943", null ],
            [ "size", "classutil_1_1span.html#afc771cce2b926297dee159cdcc74b5ec", null ],
            [ "m_data", "classutil_1_1span.html#ae073d0f84633bc5dad9a298800b428f8", null ],
            [ "m_size", "classutil_1_1span.html#a3ba5a771d52f68c932a84328d00804f8", null ]
          ] ]
        ] ]
      ] ]
    ] ],
    [ "File Source", "filesource.html", [
      [ "core", "dir_4270bfced15e0e73154b13468c7c9ad9.html", [
        [ "cipher", "dir_41841c2e3be49424af02b87cd1c0f58b.html", [
          [ "block", "dir_f3b592f36a779a22f85bdb5fa5f60e9b.html", [
            [ "aes.h", "core_2cipher_2block_2aes_8h_source.html", null ],
            [ "mode.h", "file__mode_8h_source.html", null ]
          ] ],
          [ "sym_encrypt_decrypt.h", "file__sym__encrypt__decrypt_8h_source.html", null ],
          [ "sym_init_vector.h", "file__sym__init__vector_8h_source.html", null ],
          [ "sym_process_msg.h", "file__sym__process__msg_8h_source.html", null ],
          [ "sym_secret_key.h", "file__sym__secret__key_8h_source.html", null ],
          [ "sym_traits.h", "file__sym__traits_8h_source.html", null ]
        ] ],
        [ "hash", "dir_964d79905d93428e60a5c0c528dbbba6.html", [
          [ "hash_append.h", "file__hash__append_8h_source.html", null ],
          [ "hash_digest.h", "file__hash__digest_8h_source.html", null ],
          [ "hash_traits.h", "file__hash__traits_8h_source.html", null ],
          [ "md4.h", "file__md4_8h_source.html", null ],
          [ "md5.h", "file__md5_8h_source.html", null ],
          [ "sha1.h", "file__sha1_8h_source.html", null ],
          [ "sha2.h", "file__sha2_8h_source.html", null ],
          [ "sha3.h", "file__sha3_8h_source.html", null ]
        ] ]
      ] ],
      [ "drivers", "dir_14bc92f4b96c8519b376567118ac28b3.html", [
        [ "backend", "dir_c77a4826d221c5fc1841755ec8ef21a4.html", [
          [ "botan", "dir_1670b80f036e661e6eab31521dec28db.html", [
            [ "aes.h", "drivers_2backend_2botan_2aes_8h_source.html", null ],
            [ "config.h", "backend_2botan_2config_8h_source.html", null ],
            [ "hash.h", "backend_2botan_2hash_8h_source.html", null ]
          ] ],
          [ "openssl", "dir_5b6ca2aeeb5431d1283bb82fa9411565.html", [
            [ "aes.h", "drivers_2backend_2openssl_2aes_8h_source.html", null ],
            [ "config.h", "backend_2openssl_2config_8h_source.html", null ],
            [ "hash.h", "backend_2openssl_2hash_8h_source.html", null ]
          ] ]
        ] ],
        [ "base", "dir_decf091409ac96fb37dac8116773441d.html", [
          [ "aes.h", "drivers_2base_2aes_8h_source.html", null ],
          [ "config.h", "base_2config_8h_source.html", null ],
          [ "drivers.h", "file__drivers_8h_source.html", null ],
          [ "hash.h", "base_2hash_8h_source.html", null ],
          [ "traits.h", "file__traits_8h_source.html", null ]
        ] ]
      ] ],
      [ "util", "dir_23ec12649285f9fabf3a6b7380226c28.html", [
        [ "conversions", "dir_2201f4088d99efa487330c92f6c3d2ac.html", [
          [ "byte.h", "file__byte_8h_source.html", null ],
          [ "hex.h", "file__hex_8h_source.html", null ]
        ] ],
        [ "tools", "dir_7ddb96cc756be5ce508f22e6bcc369e2.html", [
          [ "crypto_traits.h", "file__crypto__traits_8h_source.html", null ],
          [ "is_detected_traits.h", "file__is__detected__traits_8h_source.html", null ],
          [ "result.h", "file__result_8h_source.html", null ],
          [ "span.h", "file__span_8h_source.html", null ]
        ] ]
      ] ]
    ] ],
    [ "Support", "^https://forum.copperspice.com/", null ]
  ] ]
];

var NAVTREEINDEX =
[
".html"
];

var SYNCONMSG = 'click to disable panel synchronization';
var SYNCOFFMSG = 'click to enable panel synchronization';